<div class="container text-left h-100">
  <div class="row h-100">
    <div class="col-12 align-self-center">
      <div class="row mb-3 auth-wrapper mx-auto">
        <div class="col-12">
          <h4 class="text-primary">Registruj se</h4>
          <p>Ako još nemaš račun, napravi novi:</p>
        </div>
      </div>

      <div class="row auth-wrapper mx-auto">
        <div class="col-12">
          <form [formGroup]="form" (ngSubmit)="submit()">
            <div class="form-group">
              <app-text-input
                [parentForm]="form"
                [controlName]="'firstName'"
                [placeholder]="'Unesi svoje ime'"
                [faIcon]="faUser"
              ></app-text-input>
            </div>

            <div class="form-group">
              <app-text-input
                [parentForm]="form"
                [controlName]="'lastName'"
                [placeholder]="'Unesi svoje prezime'"
                [faIcon]="faIdBadge"
              ></app-text-input>
            </div>

            <div class="form-group">
              <app-text-input
                [parentForm]="form"
                [controlName]="'username'"
                [placeholder]="'Unesi korisničko ime'"
                [faIcon]="faUserTie"
              ></app-text-input>
            </div>

            <div class="form-group">
              <app-email-input [parentForm]="form"></app-email-input>
            </div>

            <div class="form-group">
              <app-password-input
                [parentForm]="form"
                [controlName]="'password'"
                [placeholder]="'Unesi lozinku'"
                (didSubmit)="submit()"
              ></app-password-input>
            </div>

            <div class="form-group mb-4">
              <app-date-input
                [parentForm]="form"
                [controlName]="'birthday'"
                [placeholder]="'Datum rođenja'"
              ></app-date-input>
            </div>

            <div class="form-group text-center">
              <app-radio-input
                [parentForm]="form"
                [controlName]="'gender'"
                [radioOptions]="genderOptions"
              ></app-radio-input>
            </div>

            <div class="text-center">
              <small>
                Unesi tačne podatke za maksimalno povjerenje. Uvijek ih možeš
                sakriti sa profila.
              </small>
            </div>

            <hr class="my-4" />

            <div class="form-group">
              <app-button
                [classList]="'btn-secondary btn-block'"
                [value]="'Registruj se'"
                (clicked)="submit()"
              ></app-button>
            </div>

            <div class="form-group mt-2 text-center">
              <small
                >Već imaš račun?
                <a (click)="goToLogin()" href="javascript:void(0)"
                  >Prijavi se</a
                ></small
              >
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>
